﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    x:Class="TournamentSoftware.Resources.Styles.TextBoxEvents">

    <Style x:Key="BaseTextBox" TargetType="TextBox">
        <Setter Property="TextAlignment" Value="Center"/>
        <Setter Property="FontSize" Value="30"/>
        <Setter Property="FontFamily" Value="Inter"/>
        <Setter Property="VerticalContentAlignment" Value="Center"/>
        <EventSetter Event="LostFocus" Handler="TextBox_LostFocus"/>
    </Style>

    <Style x:Key="SmallTextBox" TargetType="TextBox" BasedOn="{StaticResource BaseTextBox}">
        <Setter Property="FontSize" Value="18"/>
    </Style>

    <Style x:Key="BaseNumberTextBox" TargetType="TextBox" BasedOn="{StaticResource BaseTextBox}">
        <EventSetter Event="TextChanged" Handler="BaseNumberTextBox_TextChanged"/>
    </Style>
</ResourceDictionary>